Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.security
Class PrivilegedGetTccl

    java.lang.Object
      org.apache.tomcat.util.security.PrivilegedGetTccl

All Implemented Interfaces:
  java.security.PrivilegedAction<java.lang.ClassLoader>

    public class PrivilegedGetTccl

extends java.lang.Object
implements java.security.PrivilegedAction<java.lang.ClassLoader>

Constructor Summary
`PrivilegedGetTccl()`

Method Summary
`java.lang.ClassLoader` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrivilegedGetTccl

    public PrivilegedGetTccl()

Method Detail

### run

    public java.lang.ClassLoader run()

  Specified by:
    `run` in interface `java.security.PrivilegedAction<java.lang.ClassLoader>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.